Live Google Events SERP Advanced

‌‌
Live Google Events SERP provides real-time data from Google Events Search for the specified keyword and location. Note that Google Events SERP API works for the English language only.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

Field nameTypeDescription
keywordstring

keyword

required field

you can specify up to 700 characters in the keyword field

all %## will be decoded (plus character '+' will be decoded to a space character)

if you need to use the "%" character for your keyword, please specify it as "%25";

if you need to use the “+” character for your keyword, please specify it as “%2B”


learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_codeinteger

search engine location code

required field if you don't specify location_name or location_coordinate

if you use this field, you don't need to specify location_name or location_coordinate

you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/events/locations

example:

2840

language_codestring

search engine language code

optional field

if you use this field, you don't need to specify language_name

by default, language settings correspond to one of the local official languages of the specified location

you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages

example:

en

depthinteger

parsing depth

optional field

number of results in SERP

default value: 10

max value: 200


Your account will be billed per each SERP containing up to 10 results;

Setting depth above 10 may result in additional charges if the search engine returns more than 10 results;

If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically;

The cost can be calculated on the Pricing page.


Below you will find a drop-down list with the additional parameters you can use for setting a task.
Additional Parameters
Field nameTypeDescription
location_namestring

full name of search engine location

required field if you don't specify location_code or location_coordinate

if you use this field, you don't need to specify location_code or location_coordinate

you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/events/locations

example:

London,England,United Kingdom

language_namestring

full name of search engine language

optional field

if you use this field, you don't need to specify language_code

by default, language settings correspond to one of the local official languages of the specified location

you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages

example:

English

osstring

device operating system

optional field

note that this API provides results for desktop only

choose from the following values: windows, macos

default value: windows

tagstring

user-defined task identifier

optional field

the character limit is 255

you can use this parameter to identify the task and match it with the result

you will find the specified tag value in the data object of the response

max_crawl_pagesinteger

page crawl limit

optional field

number of search results pages to crawl

max value: 100

Note: the max_crawl_pages and depth parameters complement each other;

learn more at our help center

location_coordinatestring

GPS coordinates of a location

required field if you don't specify location_name or location_code

if you use this field, you don't need to specify location_name or location_code

location_coordinate parameter should be specified in the "latitude,longitude,radius" format

data will be provided for the country the specified coordinates belong to

the maximum number of decimal digits for "latitude" and "longitude": 7

the minimum value for "radius": 199.9 (mm)

the maximum value for "radius": 199999 (mm)

example:

53.476225,-2.243572,200

date_rangestring

date range to get events for

optional field

if you do not use this field, we will return all events

possible values: today, tomorrow, week, weekend, next_week, month, next_month

se_domainstring

search engine domain

optional field

we choose the relevant search engine domain automatically according to the location you specify

however, you can set a custom search engine domain in this field

example:

google.co.uk, google.com.au, google.de, etc.


‌‌‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasksarray

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

unique task identifier in our system
in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
keyword is returned with decoded %## (plus character '+' will be decoded to a space character)

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code
in this case, the value will be null

        check_urlstring

direct URL to search engine results

        datetimestring

date and time when the result was received
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00

        spellobject

autocorrection of the search engine
if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection

            keywordstring

keyword obtained as a result of search engine autocorrection
the results will be provided for the corrected keyword

            typestring

type of autocorrection
possible values:
did_you_mean, showing_results_for, no_results_found_for, including_results_for

        refinement_chipsobject

search refinement chips

            typestring

type of element = 'refinement_chips'

            xpathstring

the XPath of the element

            itemsarray

items of the element

                typestring

type of element = 'refinement_chips_element'

                titlestring

title of the element

                urlstring

search URL with refinement parameters

                domainstring

domain in SERP

                optionsarray

further search refinement options

                    typestring

type of element = 'refinement_chips_option'

                    titlestring

title of the element

                    urlstring

search URL with refinement parameters

                    domainstring

domain in SERP

        item_typesarray

types of search results found in SERP
possible item types:
event_item

        se_results_countinteger

total number of results in SERP
in this case, the value will be 0
this search engine does not indicate the total number of results

        items_countinteger

the number of results returned in the items array

        itemsarray

items in SERP

        event_item_element_in_serpobject

element in the response

            typestring

type of element = 'event_item'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements in SERP

            positionstring

the alignment of the element in SERP
can take the following values:
left, right

            xpathstring

the XPath of the element

            titlestring

title of the result in SERP

            descriptionstring

description of the results element in SERP

            urlstring

relevant URL

            image_urlstring

URL of the image featured in the element

            event_datesobject

dates when the event takes place
if there are none, equals null

                start_datetimestring

date and time when the event starts
if time zone is specified in the event, value will be returned in the UTC format:
"yyyy-mm-ddThh-mm-ss+00:00"
example:
2019-11-15T12:57:46+00:00
if time zone is not specified in the event, unspecified local time will be returned in the following format:
"yyyy-mm-ddThh-mm-ss"
example:
2019-11-15T12:57:46

                end_datetimestring

date and time when the event ends
if time zone is specified in the event, value will be returned in the UTC format:
"yyyy-mm-ddThh-mm-ss+00:00"
example:
2019-11-15T12:57:46+00:00
if time zone is not specified in the event, unspecified local time will be returned in the following format:
"yyyy-mm-ddThh-mm-ss"
example:
2019-11-15T12:57:46

                displayed_datesstring

date or date range as it is displayed in SERP

            location_infoobject

information about the event's venue

                namestring

name of the event's venue

                addressstring

address of the event's venue

                urlstring

URL to the event's venue on google maps

                cidstring

google-defined client id
can be used with Google Reviews API to get a full list of reviews

                feature_idstring

the unique identifier of the element in SERP

            information_and_ticketsarray

additional information and ticket purchase options

                typestring

type of element = 'information_and_tickets_element'

                titlestring

title of the element

                descriptionstring

description of the element

                urlstring

relevant URL

                domainstring

domain in SERP


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/events/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "keyword": "concerts",
        "location_name": "Los Angeles,California,United States",
        "date_range": "today"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
        "location_name" => "Los Angeles,California,United States",
        "date_range" => "today",
        "keyword" => mb_convert_encoding("concerts")
);
try {
	// POST /v3/serp/google/events/live/advanced
	// in addition to 'google' and 'organic' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$result = $client->post('/v3/serp/google/events/live/advanced', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/events/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("concerts"),
        "date_range": "today",
        "location_code": 1013962
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    location_name="Los Angeles,California,United States",
    date_range="today",
    keyword="concerts"
)
# POST /v3/serp/google/events/live/advanced
# in addition to 'google' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/events/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                location_code = 1013962,
                date_range = "today",
                keyword = "concerts"
            });
            // POST /v3/serp/google/events/live/advanced
            // in addition to 'google' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/events/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20241101",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "17.1653 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11071155-1535-0139-0000-7ae0e07e250f",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "17.0662 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "events",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "events",
        "language_code": "en",
        "location_name": "Los Angeles,California,United States",
        "keyword": "concerts",
        "device": "desktop",
        "os": "windows",
        "date_range": "today"
      },
      "result": [
        {
          "keyword": "concerts",
          "type": "events",
          "se_domain": "google.com",
          "location_code": 1013962,
          "language_code": "en",
          "check_url": "https://www.google.com/search?q=concerts&hl=en&gl=US&uule=w+CAIQIFISCRPaJ9xdx8KAEfQIRiVv3y_i&ibp=htl;events&chips=date:today",
          "datetime": "2024-11-07 09:55:11 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "event_item"
          ],
          "se_results_count": 0,
          "items_count": 10,
          "items": [
            {
              "type": "event_item",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[1]",
              "title": "USC Thornton Winds Concert",
              "description": "USC Thornton Winds Concert | Opera | Cast and Crew | Performances, schedule and tickets | View more information on Operabase",
              "url": "https://www.operabase.com/productions/usc-thornton-winds-concert-288717/en",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:0",
              "event_dates": {
                "start_datetime": "2024-11-07T16:00:00",
                "end_datetime": null,
                "displayed_dates": "Thu, Nov 7, 4 PM"
              },
              "location_info": {
                "name": "Bovard Auditorium",
                "address": "Bovard Administration Building, 3551 Trousdale Pkwy, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2c7e19c55535f:0x40cc3d456c923735?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQICRAA&hl=en&gl=US",
                "cid": "4669174282059921205",
                "feature_id": "0x80c2c7e19c55535f:0x40cc3d456c923735"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Usc.edu",
                  "description": "TICKETS",
                  "url": "https://music.usc.edu/events/details/?event-id=45067922754800",
                  "domain": "music.usc.edu"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Operabase",
                  "description": "MORE INFO",
                  "url": "https://www.operabase.com/productions/usc-thornton-winds-concert-288717/en",
                  "domain": "www.operabase.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 2,
              "rank_absolute": 2,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[2]",
              "title": "Porches",
              "description": "Find tickets for Porches with sweet93 at Fonda Theatre in Los Angeles on 11/7/2024 at 8:30 PM",
              "url": "https://open.spotify.com/concert/4QRbanGpEaLc4SPxtof43l",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:1",
              "event_dates": {
                "start_datetime": "2024-11-07T20:00:00",
                "end_datetime": "2024-11-07T22:00:00",
                "displayed_dates": "Thu, Nov 7, 8 – 10 PM"
              },
              "location_info": {
                "name": "The Fonda Theatre",
                "address": "6126 Hollywood Blvd, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2bf387b884131:0x8f02ec38fce98388?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIERAA&hl=en&gl=US",
                "cid": "10305058626882601864",
                "feature_id": "0x80c2bf387b884131:0x8f02ec38fce98388"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Spotify.com",
                  "description": "TICKETS",
                  "url": "https://open.spotify.com/concert/2XmgoLlCVFyAgs638rr1Nx",
                  "domain": "open.spotify.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Axs.com",
                  "description": "TICKETS",
                  "url": "https://www.axs.com/events/564014/porches-tickets?skin=thefonda?cid=usaffdostuff",
                  "domain": "www.axs.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Bandsintown.com",
                  "description": "TICKETS",
                  "url": "https://www.bandsintown.com/e/105528603?app_id=ggl_feed&came_from=289&utm_medium=web&utm_source=ggl_feed&utm_campaign=event",
                  "domain": "www.bandsintown.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Seatgeek.com",
                  "description": "TICKETS",
                  "url": "https://seatgeek.com/porches-tickets/los-angeles-california-the-fonda-theatre-2024-11-07-8-pm/concert/17193050?gclsrc=%7BGOOGLE-ADS-CLICK-SOURCE%7D&refob=mta",
                  "domain": "seatgeek.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Stubhub.com",
                  "description": "TICKETS",
                  "url": "https://www.stubhub.com/_C-64832?pcid=PSUSAEVECONALLEF426C5CF9E&ps_p=8&ps_placement=eventfeed&ps=vn-1841&ps_ev=153571099&ps=cy-4055",
                  "domain": "www.stubhub.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 3,
              "rank_absolute": 3,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[3]",
              "title": "Twanguero concert in Los Angeles",
              "description": "You can't miss the latest edition of Twanguero concert in Los Angeles 👇 Enter Wegow and find out where to get your ticket!",
              "url": "https://www.wegow.com/au/concerts/twanguero-concert-in-los-angeles-zebulon",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:2",
              "event_dates": {
                "start_datetime": "2024-11-07T12:00:00",
                "end_datetime": null,
                "displayed_dates": "Thu, Nov 7, 12 PM"
              },
              "location_info": {
                "name": "Zebulon",
                "address": "2478 Fletcher Dr, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2c0d53c93081d:0x8b8f3e09269f95ee?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIGRAA&hl=en&gl=US",
                "cid": "10056324701965227502",
                "feature_id": "0x80c2c0d53c93081d:0x8b8f3e09269f95ee"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Wegow.com",
                  "description": "TICKETS",
                  "url": "https://www.wegow.com/au/concerts/twanguero-concert-in-los-angeles-zebulon",
                  "domain": "www.wegow.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 4,
              "rank_absolute": 4,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[4]",
              "title": "Gouge Away",
              "description": "Find tickets for Gouge Away at El Cid in Los Angeles on 11/7/2024 at 8:00 PM",
              "url": "https://open.spotify.com/concert/3cXRZG7StRiWLEh0P2B0mc",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:3",
              "event_dates": {
                "start_datetime": "2024-11-07T20:00:00",
                "end_datetime": "2024-11-07T21:30:00",
                "displayed_dates": "Thu, Nov 7, 8:00 – 9:30 PM"
              },
              "location_info": {
                "name": "El Cid",
                "address": "4212 Sunset Blvd, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2c74ea9342d2f:0xd544d042f6ed6800?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIIRAA&hl=en&gl=US",
                "cid": "15367636814524147712",
                "feature_id": "0x80c2c74ea9342d2f:0xd544d042f6ed6800"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Spotify.com",
                  "description": "TICKETS",
                  "url": "https://open.spotify.com/concert/3cXRZG7StRiWLEh0P2B0mc",
                  "domain": "open.spotify.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Axs.com",
                  "description": "TICKETS",
                  "url": "https://www.axs.com/uk/events/635984/gouge-away-tickets",
                  "domain": "www.axs.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Unation.com",
                  "description": "TICKETS",
                  "url": "https://www.unation.com/event/gouge-away-54720232/",
                  "domain": "www.unation.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Seatgeek.com",
                  "description": "TICKETS",
                  "url": "https://seatgeek.com/gouge-away-tickets/los-angeles-california-el-cid-3-2024-11-07-8-pm/concert/17169203?gclsrc=%7BGOOGLE-ADS-CLICK-SOURCE%7D&refob=mta",
                  "domain": "seatgeek.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Stubhub.com",
                  "description": "TICKETS",
                  "url": "https://www.stubhub.com/_C-101300?pcid=PSUSAEVECONALLEF426C5CF9E&ps_p=8&ps_placement=eventfeed&ps=vn-97000&ps_ev=155058373&ps=cy-79571",
                  "domain": "www.stubhub.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 5,
              "rank_absolute": 5,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[5]",
              "title": "Roisin Murphy",
              "description": "Find tickets for Róisín Murphy at Shrine Expo Hall in Los Angeles on 11/7/2024 at 9:00 PM",
              "url": "https://open.spotify.com/concert/5cx8STqrSXVYghxDNRi5ea",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:4",
              "event_dates": {
                "start_datetime": "2024-11-07T21:00:00",
                "end_datetime": "2024-11-07T22:30:00",
                "displayed_dates": "Thu, Nov 7, 9:00 – 10:30 PM"
              },
              "location_info": {
                "name": "Shrine Auditorium and Expo Hall",
                "address": "665 W Jefferson Blvd, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2c7e69596b30d:0x96ef2bf284b9dced?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIKRAA&hl=en&gl=US",
                "cid": "10875959945731890413",
                "feature_id": "0x80c2c7e69596b30d:0x96ef2bf284b9dced"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Spotify.com",
                  "description": "TICKETS",
                  "url": "https://open.spotify.com/concert/5cx8STqrSXVYghxDNRi5ea",
                  "domain": "open.spotify.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Axs.com",
                  "description": "TICKETS",
                  "url": "https://shop.axs.com/?c=axs&e=154910168856196923",
                  "domain": "shop.axs.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Bandsintown.com",
                  "description": "TICKETS",
                  "url": "https://www.bandsintown.com/e/1031292878?app_id=ggl_feed&came_from=289&utm_medium=web&utm_source=ggl_feed&utm_campaign=event",
                  "domain": "www.bandsintown.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Stubhub.com",
                  "description": "TICKETS",
                  "url": "https://www.stubhub.com/_C-10480?pcid=PSUSAEVECONALLEF426C5CF9E&ps_p=8&ps_placement=eventfeed&ps=vn-67209&ps_ev=153233586&ps=cy-79571",
                  "domain": "www.stubhub.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Viagogo.com",
                  "description": "TICKETS",
                  "url": "https://www.viagogo.com/_C-10480?pcid=PSUSAEVECONALLEF426C5CF9E&ps_p=8&ps_placement=eventfeed&ps=vn-67209&ps_ev=153233586&ps=cy-79571",
                  "domain": "www.viagogo.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 6,
              "rank_absolute": 6,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[6]",
              "title": "Sage Armstrong concert in Los Angeles",
              "description": "You can't miss the latest edition of Sage Armstrong concert in Los Angeles 👇 Enter Wegow and find out where to get your ticket!",
              "url": "https://www.wegow.com/gb/concerts/sage-armstrong-concert-in-los-angeles-jungle-hollywood",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:5",
              "event_dates": {
                "start_datetime": "2024-11-07T14:00:00",
                "end_datetime": null,
                "displayed_dates": "Thu, Nov 7, 2 PM"
              },
              "location_info": {
                "name": "Jungle Hollywood",
                "address": "1640 N Cahuenga Blvd, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2bfe1bcee2ed5:0x32d95e85554fbe3f?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIMRAA&hl=en&gl=US",
                "cid": "3664063698597559871",
                "feature_id": "0x80c2bfe1bcee2ed5:0x32d95e85554fbe3f"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Wegow",
                  "description": "MORE INFO",
                  "url": "https://www.wegow.com/gb/concerts/sage-armstrong-concert-in-los-angeles-jungle-hollywood",
                  "domain": "www.wegow.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 7,
              "rank_absolute": 7,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[7]",
              "title": "Mimi Gilbert concert in Los Angeles",
              "description": "You can't miss the latest edition of Mimi Gilbert concert in Los Angeles 👇 Enter Wegow and find out where to get your ticket!",
              "url": "https://www.wegow.com/gb/concerts/mimi-gilbert-concert-in-los-angeles-genghis-cohen",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:6",
              "event_dates": {
                "start_datetime": "2024-11-07T11:00:00",
                "end_datetime": null,
                "displayed_dates": "Thu, Nov 7, 11 AM"
              },
              "location_info": {
                "name": "Genghis Cohen",
                "address": "740 N Fairfax Ave, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2bece826a04cf:0x8961ff1a8aaa1a5f?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIORAA&hl=en&gl=US",
                "cid": "9899473945397697119",
                "feature_id": "0x80c2bece826a04cf:0x8961ff1a8aaa1a5f"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Wegow.com",
                  "description": "TICKETS",
                  "url": "https://www.wegow.com/gb/concerts/mimi-gilbert-concert-in-los-angeles-genghis-cohen",
                  "domain": "www.wegow.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Music | Bel. - Bandcamp",
                  "description": "MORE INFO",
                  "url": "https://96bel.bandcamp.com/album/mall-muzak",
                  "domain": "96bel.bandcamp.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 8,
              "rank_absolute": 8,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[8]",
              "title": "Okean Elzy",
              "description": "Find tickets for Okean Elzy at The Novo in Los Angeles on 11/7/2024 at 8:00 PM",
              "url": "https://open.spotify.com/concert/5zE7k8xAxq9REoZt14b8iD",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:7",
              "event_dates": {
                "start_datetime": "2024-11-07T20:00:00",
                "end_datetime": "2024-11-07T21:30:00",
                "displayed_dates": "Thu, Nov 7, 8:00 – 9:30 PM"
              },
              "location_info": {
                "name": "The Novo",
                "address": "800 W Olympic Blvd a335, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2c7b782019c1b:0xda9785bec3c53630?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIQRAA&hl=en&gl=US",
                "cid": "15751205276126361136",
                "feature_id": "0x80c2c7b782019c1b:0xda9785bec3c53630"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Spotify.com",
                  "description": "TICKETS",
                  "url": "https://open.spotify.com/concert/5zE7k8xAxq9REoZt14b8iD",
                  "domain": "open.spotify.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Axs.com",
                  "description": "TICKETS",
                  "url": "https://www.axs.com/events/635566/okean-elzy-tickets?skin=novo&src=AEGLIVE_WCLUNLAX030115VEN001?cid=usaffdostuff",
                  "domain": "www.axs.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Seatgeek.com",
                  "description": "TICKETS",
                  "url": "https://seatgeek.com/okean-elzy-tickets/los-angeles-california-the-novo-2024-11-07-8-pm/concert/17185007?gclsrc=%7BGOOGLE-ADS-CLICK-SOURCE%7D&refob=mta",
                  "domain": "seatgeek.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Vividseats.com",
                  "description": "TICKETS",
                  "url": "https://www.vividseats.com/okean-elzy-tickets-los-angeles-the-novo-11-7-2024--concerts-rock/production/5150115",
                  "domain": "www.vividseats.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Gametime.co",
                  "description": "TICKETS",
                  "url": "https://gametime.co/ga/okean-elzy-tickets/11-7-2024-los%20angeles-ca-the-novo/events/66bb7b11815e7fc5880c6467",
                  "domain": "gametime.co"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 9,
              "rank_absolute": 9,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[9]",
              "title": "Wind Ensemble Concert",
              "description": "Organized by Department of Music",
              "url": "https://artelize.com/event/99420-wind-ensemble-concert",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:8",
              "event_dates": {
                "start_datetime": "2024-11-07T19:30:00",
                "end_datetime": null,
                "displayed_dates": "Thu, Nov 7, 7:30 PM"
              },
              "location_info": {
                "name": "Azusa Pacific University",
                "address": "901 E Alosta Ave, Azusa, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c327c652bf9325:0xdb69be4de88a0731?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQISRAA&hl=en&gl=US",
                "cid": "15810377208683956017",
                "feature_id": "0x80c327c652bf9325:0xdb69be4de88a0731"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Artelize",
                  "description": "MORE INFO",
                  "url": "https://artelize.com/event/99420-wind-ensemble-concert",
                  "domain": "artelize.com"
                }
              ]
            },
            {
              "type": "event_item",
              "rank_group": 10,
              "rank_absolute": 10,
              "position": "right",
              "xpath": "/html[1]/body[1]/div[3]/div[2]/div[2]/div[2]/div[2]/div[3]/div[2]/ul[1]/li[10]",
              "title": "The Blood Brothers",
              "description": "Find tickets for The Blood Brothers at The Belasco Theater in Los Angeles on 11/7/2024 at 7:00 PM",
              "url": "https://open.spotify.com/concert/3v0ZVJ6X3fR7h8l55A6c3J",
              "image_url": "https://api.dataforseo.com/cdn/i/11071155-1535-0139-0000-7ae0e07e250f:9",
              "event_dates": {
                "start_datetime": "2024-11-07T19:00:00",
                "end_datetime": "2024-11-07T23:00:00",
                "displayed_dates": "Thu, Nov 7, 7 – 11 PM"
              },
              "location_info": {
                "name": "Los Angeles Theatre",
                "address": "615 S Broadway, Los Angeles, CA",
                "url": "https://www.google.com/maps/place//data=!4m2!3m1!1s0x80c2c64ab51dc5ef:0x5c6cd39641d0464a?sa=X&ved=2ahUKEwiKhZKK-smJAxVIle4BHaz8M-UQqJACegQIURAA&hl=en&gl=US",
                "cid": "6659930591276844618",
                "feature_id": "0x80c2c64ab51dc5ef:0x5c6cd39641d0464a"
              },
              "information_and_tickets": [
                {
                  "type": "information_and_tickets_element",
                  "title": "Spotify.com",
                  "description": "TICKETS",
                  "url": "https://open.spotify.com/concert/2kFIO6kIg6ebDzZq3PvqaG",
                  "domain": "open.spotify.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Ticketmaster.com",
                  "description": "TICKETS",
                  "url": "https://ticketmaster.evyy.net/c/253185/264167/4272?SharedId=DoStuff&u=https%3A%2F%2Fconcerts.livenation.com%2Fthe-blood-brothers-us-tour-2024-los-angeles-california-11-07-2024%2Fevent%2F090060A9CE9D499F",
                  "domain": "ticketmaster.evyy.net"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Axs.com",
                  "description": "TICKETS",
                  "url": "https://www.axs.com/events/570706/the-blood-brothers-tickets",
                  "domain": "www.axs.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Bandsintown.com",
                  "description": "TICKETS",
                  "url": "https://www.bandsintown.com/e/105528157?app_id=ggl_feed&came_from=289&utm_medium=web&utm_source=ggl_feed&utm_campaign=event",
                  "domain": "www.bandsintown.com"
                },
                {
                  "type": "information_and_tickets_element",
                  "title": "Stubhub.com",
                  "description": "TICKETS",
                  "url": "https://www.stubhub.com/_C-1519?pcid=PSUSAEVECONALLEF426C5CF9E&ps_p=8&ps_placement=eventfeed&ps=vn-33266&ps_ev=153573853&ps=cy-4055",
                  "domain": "www.stubhub.com"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}